package yb_my_chart

import "time"

// YbMyChart 研报-我的图表
type YbMyChart struct {
	MyChartID         int       `gorm:"primaryKey;column:my_chart_id;type:int(10) unsigned;not null" json:"myChartId"`
	MyChartClassifyID int       `gorm:"index:idx_classify_id;column:my_chart_classify_id;type:int(10) unsigned;not null;default:0" json:"myChartClassifyId"` // 图表分类ID
	ChartInfoID       int       `gorm:"column:chart_info_id;type:int(10) unsigned;not null;default:0" json:"chartInfoId"`                                    // 图表ID
	ChartName         string    `gorm:"column:chart_name;type:varchar(255);not null;default:''" json:"chartName"`                                            // 图表名称
	UniqueCode        string    `gorm:"column:unique_code;type:varchar(64);not null;default:''" json:"uniqueCode"`                                           // 图表唯一编码
	ChartImage        string    `gorm:"column:chart_image;type:varchar(255);not null;default:''" json:"chartImage"`                                          // 图表图片
	UserID            int       `gorm:"index:idx_user_id;column:user_id;type:int(10) unsigned;not null;default:0" json:"userId"`
	RealName          string    `gorm:"column:real_name;type:varchar(100);not null;default:''" json:"realName"` // 真实姓名
	CompanyID         int       `gorm:"column:company_id;type:int(10) unsigned;not null;default:0" json:"companyId"`
	CompanyName       string    `gorm:"column:company_name;type:varchar(100);not null;default:''" json:"companyName"` // 客户名称
	CompanyStatus     string    `gorm:"column:company_status;type:varchar(30);not null;default:''" json:"companyStatus"`
	SellerID          int       `gorm:"column:seller_id;type:int(11)" json:"sellerId"`                                            // 用户ID
	ReportID          int       `gorm:"column:report_id;type:int(10) unsigned;not null;default:0" json:"reportId"`                // 报告ID(从哪个报告收藏的)
	ReportChapterID   int       `gorm:"column:report_chapter_id;type:int(10) unsigned;not null;default:0" json:"reportChapterId"` // 报告章节ID
	Source            int       `gorm:"column:source;type:tinyint(4) unsigned;not null;default:1" json:"source"`                  // 1-ETA图库；2-ETA表格
	CreateTime        time.Time `gorm:"column:create_time;type:datetime" json:"createTime"`
	ModifyTime        time.Time `gorm:"column:modify_time;type:datetime" json:"modifyTime"`
}

// TableName get sql table name.获取数据库表名
func (m *YbMyChart) TableName() string {
	return "yb_my_chart"
}

// YbMyChartColumns get sql column name.获取数据库列名
var YbMyChartColumns = struct {
	MyChartID         string
	MyChartClassifyID string
	ChartInfoID       string
	ChartName         string
	UniqueCode        string
	ChartImage        string
	UserID            string
	ReportID          string
	ReportChapterID   string
	Source            string
	CreateTime        string
	ModifyTime        string
}{
	MyChartID:         "my_chart_id",
	MyChartClassifyID: "my_chart_classify_id",
	ChartInfoID:       "chart_info_id",
	ChartName:         "chart_name",
	UniqueCode:        "unique_code",
	ChartImage:        "chart_image",
	UserID:            "user_id",
	ReportID:          "report_id",
	ReportChapterID:   "report_chapter_id",
	Source:            "source",
	CreateTime:        "create_time",
	ModifyTime:        "modify_time",
}
